> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Evaluation

> Archive (soft-delete) an evaluation.

Sets the evaluation's archived timestamp rather than permanently deleting it, and cascades the
archive to the evaluation's items and dashboards while removing it from any evaluation groups.
When two-plane evaluations are enabled the cascade only archives dashboards and removes group
membership — the evaluation's items are not archived. The evaluation can later be brought back
with a restore request to the update endpoint.



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/evaluations/{evaluation_id}
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/evaluations/{evaluation_id}:
    delete:
      tags:
        - Evaluations
      summary: Archive Evaluation
      description: >-
        Archive (soft-delete) an evaluation.


        Sets the evaluation's archived timestamp rather than permanently
        deleting it, and cascades the

        archive to the evaluation's items and dashboards while removing it from
        any evaluation groups.

        When two-plane evaluations are enabled the cascade only archives
        dashboards and removes group

        membership — the evaluation's items are not archived. The evaluation can
        later be brought back

        with a restore request to the update endpoint.
      operationId: DELETE-V5-/v5/evaluations/evaluation_id
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Evaluation'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Evaluation:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: evaluation
          title: Object
          default: evaluation
        name:
          type: string
          title: Name
        description:
          title: Description
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
        archived_at:
          title: Archived At
          type: string
          format: date-time
        created_by:
          $ref: '#/components/schemas/Identity'
          description: The identity that created the entity.
        tags:
          title: Tags
          description: The tags associated with the entity
          items:
            type: string
          type: array
        datasets:
          title: Datasets
          items:
            $ref: '#/components/schemas/Dataset'
          type: array
        status:
          $ref: '#/components/schemas/EvaluationStatus'
        status_reason:
          title: Status Reason
          description: Reason for evaluation status
          type: string
        progress:
          $ref: '#/components/schemas/EvaluationTasksProgressSchema'
          description: Progress of the evaluation's underlying async job
        tasks:
          title: Tasks
          description: >-
            Tasks executed during evaluation. Populated with optional `task`
            view.
          items:
            $ref: '#/components/schemas/EvaluationTask'
          type: array
        metadata:
          title: Metadata
          description: Metadata key-value pairs for the evaluation
          additionalProperties: true
          type: object
        error_count:
          title: Error Count
          description: Number of task errors across all items in this evaluation.
          type: integer
      type: object
      required:
        - name
        - id
        - created_at
        - created_by
        - tags
        - datasets
        - status
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Identity:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: identity
          title: Object
          default: identity
        type:
          $ref: '#/components/schemas/IdentityType'
      type: object
      required:
        - id
        - type
      title: Identity
    Dataset:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: dataset
          title: Object
          default: dataset
        created_by:
          $ref: '#/components/schemas/Identity'
          description: The identity that created the entity.
        name:
          type: string
          title: Name
        description:
          title: Description
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
        archived_at:
          title: Archived At
          type: string
          format: date-time
        tags:
          title: Tags
          description: The tags associated with the entity
          items:
            type: string
          type: array
        current_version_num:
          type: integer
          title: Current Version Num
      type: object
      required:
        - created_by
        - name
        - id
        - created_at
        - tags
        - current_version_num
    EvaluationStatus:
      type: string
      enum:
        - failed
        - completed
        - running
      title: EvaluationStatus
    EvaluationTasksProgressSchema:
      properties:
        workflows:
          $ref: '#/components/schemas/EvaluationTasksWorkflowProgressSchema'
        items:
          $ref: '#/components/schemas/EvaluationTasksItemProgressSchema'
      type: object
      title: EvaluationTasksProgressSchema
    EvaluationTask:
      oneOf:
        - $ref: '#/components/schemas/ChatCompletionEvaluationTask'
        - $ref: '#/components/schemas/GenericInferenceEvaluationTask'
        - $ref: '#/components/schemas/ApplicationVariantV1EvaluationTask'
        - $ref: '#/components/schemas/AgentexOutputEvaluationTask'
        - $ref: '#/components/schemas/MetricEvaluationTask'
        - $ref: '#/components/schemas/AutoEvaluationQuestionTask'
        - $ref: '#/components/schemas/AutoEvaluationGuidedDecodingEvaluationTask'
        - $ref: '#/components/schemas/AutoEvaluationAgentEvaluationTask'
        - $ref: '#/components/schemas/ContributorEvaluationQuestionTask'
        - $ref: '#/components/schemas/CustomFunctionEvaluationTask'
      title: EvaluationTask
      discriminator:
        propertyName: task_type
        mapping:
          agentex_output:
            $ref: '#/components/schemas/AgentexOutputEvaluationTask'
          application_variant:
            $ref: '#/components/schemas/ApplicationVariantV1EvaluationTask'
          auto_evaluation.agent:
            $ref: '#/components/schemas/AutoEvaluationAgentEvaluationTask'
          auto_evaluation.guided_decoding:
            $ref: '#/components/schemas/AutoEvaluationGuidedDecodingEvaluationTask'
          auto_evaluation.question:
            $ref: '#/components/schemas/AutoEvaluationQuestionTask'
          chat_completion:
            $ref: '#/components/schemas/ChatCompletionEvaluationTask'
          contributor_evaluation.question:
            $ref: '#/components/schemas/ContributorEvaluationQuestionTask'
          custom_function:
            $ref: '#/components/schemas/CustomFunctionEvaluationTask'
          inference:
            $ref: '#/components/schemas/GenericInferenceEvaluationTask'
          metric:
            $ref: '#/components/schemas/MetricEvaluationTask'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IdentityType:
      type: string
      enum:
        - user
        - service_account
      title: IdentityType
    EvaluationTasksWorkflowProgressSchema:
      properties:
        total:
          type: integer
          title: Total
        completed:
          type: integer
          title: Completed
        failed:
          type: integer
          title: Failed
        pending:
          type: integer
          title: Pending
      type: object
      required:
        - total
        - completed
        - failed
        - pending
      title: EvaluationTasksWorkflowProgressSchema
    EvaluationTasksItemProgressSchema:
      properties:
        total:
          type: integer
          title: Total
        successful:
          type: integer
          title: Successful
        failed:
          type: integer
          title: Failed
        pending:
          type: integer
          title: Pending
        failed_items:
          items:
            $ref: '#/components/schemas/EvaluationTasksFailedItemSchema'
          type: array
          title: Failed Items
          default: []
      type: object
      required:
        - total
        - successful
        - failed
        - pending
      title: EvaluationTasksItemProgressSchema
    ChatCompletionEvaluationTask:
      properties:
        task_type:
          type: string
          const: chat_completion
          title: Task Type
          default: chat_completion
        alias:
          type: string
          title: Alias
          description: Alias to title the results column. Defaults to the `chat_completion`
          default: chat_completion
        configuration:
          $ref: '#/components/schemas/ChatCompletionRequestWithItemLocator_'
      type: object
      required:
        - configuration
      title: ChatCompletionEvaluationTask
    GenericInferenceEvaluationTask:
      properties:
        task_type:
          type: string
          const: inference
          title: Task Type
          default: inference
        alias:
          type: string
          title: Alias
          description: Alias to title the results column. Defaults to the `inference`
          default: inference
        configuration:
          $ref: '#/components/schemas/GenericInferenceRequestWithItemLocator'
      type: object
      required:
        - configuration
      title: GenericInferenceEvaluationTask
    ApplicationVariantV1EvaluationTask:
      properties:
        task_type:
          type: string
          const: application_variant
          title: Task Type
          default: application_variant
        alias:
          type: string
          title: Alias
          description: >-
            Alias to title the results column. Defaults to the
            `application_variant`
          default: application_variant
        configuration:
          $ref: '#/components/schemas/ApplicationVariantV1RequestWithItemLocator'
      type: object
      required:
        - configuration
      title: ApplicationVariantV1EvaluationTask
    AgentexOutputEvaluationTask:
      properties:
        task_type:
          type: string
          const: agentex_output
          title: Task Type
          default: agentex_output
        alias:
          type: string
          title: Alias
          description: Alias to title the results column. Defaults to the `agentex_output`
          default: agentex_output
        configuration:
          $ref: '#/components/schemas/AgentexOutputConfigurationWithItemLocator'
      type: object
      required:
        - configuration
      title: AgentexOutputEvaluationTask
    MetricEvaluationTask:
      properties:
        task_type:
          type: string
          const: metric
          title: Task Type
          default: metric
        alias:
          title: Alias
          description: >-
            Alias to title the results column. Defaults to the metric type
            specified in the configuration
          type: string
        configuration:
          $ref: '#/components/schemas/MetricEvaluationRequestWithItemLocators'
      type: object
      required:
        - configuration
      title: MetricEvaluationTask
    AutoEvaluationQuestionTask:
      properties:
        task_type:
          type: string
          const: auto_evaluation.question
          title: Task Type
          default: auto_evaluation.question
        alias:
          type: string
          title: Alias
          description: >-
            Alias to title the results column. Defaults to the
            `auto_evaluation_question`
          default: auto_evaluation_question
        configuration:
          $ref: '#/components/schemas/AutoEvaluationQuestionRequestWithItemLocator'
      type: object
      required:
        - configuration
      title: AutoEvaluationQuestionTask
    AutoEvaluationGuidedDecodingEvaluationTask:
      properties:
        task_type:
          type: string
          const: auto_evaluation.guided_decoding
          title: Task Type
          default: auto_evaluation.guided_decoding
        alias:
          type: string
          title: Alias
          description: >-
            Alias to title the results column. Defaults to the
            `auto_evaluation_guided_decoding`
          default: auto_evaluation_guided_decoding
        configuration:
          $ref: '#/components/schemas/AutoEvaluationConfigurationRoot'
      type: object
      required:
        - configuration
      title: AutoEvaluationGuidedDecodingEvaluationTask
    AutoEvaluationAgentEvaluationTask:
      properties:
        task_type:
          type: string
          const: auto_evaluation.agent
          title: Task Type
          default: auto_evaluation.agent
        alias:
          type: string
          title: Alias
          description: >-
            Alias to title the results column. Defaults to the
            `auto_evaluation_agent`
          default: auto_evaluation_agent
        configuration:
          $ref: '#/components/schemas/AutoEvaluationAgentTaskRequestWithItemLocator'
      type: object
      required:
        - configuration
      title: AutoEvaluationAgentEvaluationTask
    ContributorEvaluationQuestionTask:
      properties:
        task_type:
          type: string
          const: contributor_evaluation.question
          title: Task Type
          default: contributor_evaluation.question
        alias:
          type: string
          title: Alias
          description: >-
            Alias to title the results column. Defaults to the
            `contributor_evaluation_question`
          default: contributor_evaluation_question
        configuration:
          $ref: >-
            #/components/schemas/ContributorEvaluationQuestionConfigurationWithItemLocator
      type: object
      required:
        - configuration
      title: ContributorEvaluationQuestionTask
    CustomFunctionEvaluationTask:
      properties:
        task_type:
          type: string
          const: custom_function
          title: Task Type
          default: custom_function
        alias:
          title: Alias
          description: Alias to title the results column. Defaults to the function name.
          type: string
        configuration:
          $ref: '#/components/schemas/CustomFunctionConfigurationWithItemLocator'
      type: object
      required:
        - configuration
      title: CustomFunctionEvaluationTask
    EvaluationTasksFailedItemSchema:
      properties:
        item_id:
          type: string
          title: Item Id
        error:
          title: Error
          type: string
        error_type:
          title: Error Type
          type: string
      type: object
      required:
        - item_id
      title: EvaluationTasksFailedItemSchema
    ChatCompletionRequestWithItemLocator_:
      properties:
        top_k:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: Top K
        frequency_penalty:
          anyOf:
            - type: number
            - $ref: '#/components/schemas/ItemLocator'
          title: Frequency Penalty
        function_call:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Function Call
        functions:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - $ref: '#/components/schemas/ItemLocator'
          title: Functions
        logit_bias:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Logit Bias
        logprobs:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/ItemLocator'
          title: Logprobs
        max_completion_tokens:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: Max Completion Tokens
        max_tokens:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: Max Tokens
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Metadata
        modalities:
          anyOf:
            - items:
                type: string
              type: array
            - $ref: '#/components/schemas/ItemLocator'
          title: Modalities
        'n':
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: 'N'
        parallel_tool_calls:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/ItemLocator'
          title: Parallel Tool Calls
        prediction:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Prediction
        presence_penalty:
          anyOf:
            - type: number
            - $ref: '#/components/schemas/ItemLocator'
          title: Presence Penalty
        reasoning_effort:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reasoning Effort
        response_format:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Response Format
        seed:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: Seed
        stop:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Stop
        store:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/ItemLocator'
          title: Store
        temperature:
          anyOf:
            - type: number
            - $ref: '#/components/schemas/ItemLocator'
          title: Temperature
        tool_choice:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Tool Choice
        tools:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - $ref: '#/components/schemas/ItemLocator'
          title: Tools
        top_logprobs:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: Top Logprobs
        top_p:
          anyOf:
            - type: number
            - $ref: '#/components/schemas/ItemLocator'
          title: Top P
        audio:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Audio
        model:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Model
        messages:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - $ref: '#/components/schemas/ItemLocator'
          title: Messages
      additionalProperties: true
      type: object
      required:
        - model
        - messages
      title: ChatCompletionRequestWithItemLocator_
    GenericInferenceRequestWithItemLocator:
      properties:
        model:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Model
        args:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Args
        inference_configuration:
          anyOf:
            - $ref: '#/components/schemas/LaunchInferenceConfiguration'
            - $ref: '#/components/schemas/ItemLocator'
          title: Inference Configuration
      type: object
      required:
        - model
      title: GenericInferenceRequestWithItemLocator
    ApplicationVariantV1RequestWithItemLocator:
      properties:
        inputs:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Inputs
        history:
          anyOf:
            - items:
                $ref: '#/components/schemas/ApplicationRequestResponsePair'
              type: array
            - $ref: '#/components/schemas/ItemLocator'
          title: History
          default: []
        overrides:
          anyOf:
            - $ref: '#/components/schemas/AgenticApplicationOverrides'
            - $ref: '#/components/schemas/ItemLocator'
          title: Overrides
        operation_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - $ref: '#/components/schemas/ItemLocator'
          title: Operation Metadata
        application_variant_id:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Application Variant Id
      type: object
      required:
        - inputs
        - application_variant_id
      title: ApplicationVariantV1RequestWithItemLocator
    AgentexOutputConfigurationWithItemLocator:
      properties:
        agentex_agent_id:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Agentex Agent Id
        deployment_id:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Deployment Id
        input_column:
          anyOf:
            - type: string
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - $ref: '#/components/schemas/ItemLocator'
          title: Input Column
        include_traces:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/ItemLocator'
          title: Include Traces
          default: true
        timeout_seconds:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/ItemLocator'
          title: Timeout Seconds
      type: object
      required:
        - agentex_agent_id
        - input_column
      title: AgentexOutputConfigurationWithItemLocator
    MetricEvaluationRequestWithItemLocators:
      oneOf:
        - $ref: '#/components/schemas/BleuScorerConfigWithItemLocator'
        - $ref: '#/components/schemas/MeteorScorerConfigWithItemLocator'
        - $ref: '#/components/schemas/CosineSimilarityScorerConfigWithItemLocator'
        - $ref: '#/components/schemas/F1ScorerConfigWithItemLocator'
        - $ref: '#/components/schemas/RougeScorer1ConfigWithItemLocator'
        - $ref: '#/components/schemas/RougeScorer2ConfigWithItemLocator'
        - $ref: '#/components/schemas/RougeScorerLConfigWithItemLocator'
      title: MetricEvaluationRequestWithItemLocators
      discriminator:
        propertyName: type
        mapping:
          bleu:
            $ref: '#/components/schemas/BleuScorerConfigWithItemLocator'
          cosine_similarity:
            $ref: '#/components/schemas/CosineSimilarityScorerConfigWithItemLocator'
          f1:
            $ref: '#/components/schemas/F1ScorerConfigWithItemLocator'
          meteor:
            $ref: '#/components/schemas/MeteorScorerConfigWithItemLocator'
          rouge1:
            $ref: '#/components/schemas/RougeScorer1ConfigWithItemLocator'
          rouge2:
            $ref: '#/components/schemas/RougeScorer2ConfigWithItemLocator'
          rougeL:
            $ref: '#/components/schemas/RougeScorerLConfigWithItemLocator'
    AutoEvaluationQuestionRequestWithItemLocator:
      properties:
        model:
          type: string
          title: Model
          description: model specified as `model_vendor/model_name`
        prompt:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
            - $ref: '#/components/schemas/ItemLocatorTemplate'
          title: Prompt
        question_id:
          type: string
          title: Question Id
          description: question to be evaluated
      type: object
      required:
        - model
        - prompt
        - question_id
      title: AutoEvaluationQuestionRequestWithItemLocator
    AutoEvaluationConfigurationRoot:
      oneOf:
        - $ref: >-
            #/components/schemas/AutoEvaluationStructuredOutputTaskRequestWithItemLocator
        - $ref: >-
            #/components/schemas/AutoEvaluationGuidedDecodingTaskRequestWithItemLocator
        - $ref: '#/components/schemas/AutoEvaluationAgentTaskRequestWithItemLocator'
      title: AutoEvaluationConfigurationRoot
    AutoEvaluationAgentTaskRequestWithItemLocator:
      properties:
        output_rules:
          items:
            type: string
          type: array
          title: Output Rules
        name:
          type: string
          title: Name
        definition:
          type: string
          title: Definition
        designated_to:
          anyOf:
            - $ref: '#/components/schemas/APEAgent'
            - $ref: '#/components/schemas/IFAgent'
            - $ref: '#/components/schemas/TruthfulnessAgent'
            - $ref: '#/components/schemas/BaseAgent'
          title: Designated To
          default:
            agent_name: APEAgent
            config:
              model: gpt-4o
              temperature: 0.7
        output_type:
          title: Output Type
          type: string
          enum:
            - text
            - integer
            - float
            - boolean
        output_values:
          title: Output Values
          items:
            anyOf:
              - type: string
              - type: integer
              - type: number
              - type: boolean
          type: array
        data_fields:
          title: Data Fields
          items:
            type: string
          type: array
        rubric_id:
          title: Rubric Id
          type: string
        rubric_version:
          title: Rubric Version
          type: integer
      type: object
      required:
        - output_rules
        - name
        - definition
      title: AutoEvaluationAgentTaskRequestWithItemLocator
    ContributorEvaluationQuestionConfigurationWithItemLocator:
      properties:
        question_id:
          type: string
          title: Question Id
        queue_id:
          type: string
          maxLength: 100
          title: Queue Id
          description: >-
            The contributor annotation queue to include this task in. Defaults
            to `default`
          default: default
        layout:
          $ref: '#/components/schemas/Container'
        required:
          title: Required
          description: Whether the question is required to be answered
          default: false
          type: boolean
        rubric_id:
          title: Rubric Id
          description: ID of the rubric to use for scoring this evaluation question
          type: string
      type: object
      required:
        - question_id
        - layout
      title: ContributorEvaluationQuestionConfigurationWithItemLocator
    CustomFunctionConfigurationWithItemLocator:
      properties:
        function_source:
          type: string
          maxLength: 10000
          title: Function Source
          description: Python function source code
        arg_mapping:
          title: Arg Mapping
          description: >-
            Mapping of function parameter names to item locators (e.g.
            item.field). Auto-derived from function signature if not provided.
          additionalProperties:
            type: string
          type: object
        config_args:
          title: Config Args
          description: >-
            Literal argument values for function parameters, such as thresholds
            or RNG seeds. Serialized JSON must be at most 10000 characters.
          additionalProperties: true
          type: object
        outputs:
          title: Outputs
          description: >-
            Optional output paths to materialize as separate result columns. If
            omitted, the function return value is stored only under the task
            alias/data key.
          items:
            $ref: '#/components/schemas/CustomFunctionOutputAlias'
          type: array
      type: object
      required:
        - function_source
      title: CustomFunctionConfigurationWithItemLocator
      description: Configuration for a custom Python function evaluation task.
    ItemLocator:
      type: string
      title: ItemLocator
    LaunchInferenceConfiguration:
      properties:
        timeout_seconds:
          title: Timeout Seconds
          type: integer
        num_retries:
          title: Num Retries
          type: integer
      type: object
      title: LaunchInferenceConfiguration
    ApplicationRequestResponsePair:
      properties:
        request:
          type: string
          title: Request
          description: Request inputs
        response:
          type: string
          title: Response
          description: Response outputs
        session_data:
          title: Session Data
          description: Session data corresponding to the request response pair
          default: {}
          additionalProperties: true
          type: object
      type: object
      required:
        - request
        - response
      title: ApplicationRequestResponsePair
    AgenticApplicationOverrides:
      properties:
        concurrent:
          type: boolean
          title: Concurrent
          default: false
        use_channels:
          type: boolean
          title: Use Channels
          default: false
        initial_state:
          $ref: '#/components/schemas/MachineState'
        partial_trace:
          title: Partial Trace
          items:
            $ref: '#/components/schemas/LegacySpan'
          type: array
        return_span:
          type: boolean
          title: Return Span
          default: true
      additionalProperties: false
      type: object
      title: AgenticApplicationOverrides
      description: Execution override options for agentic applications
    BleuScorerConfigWithItemLocator:
      properties:
        type:
          type: string
          const: bleu
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: BleuScorerConfigWithItemLocator
    MeteorScorerConfigWithItemLocator:
      properties:
        type:
          type: string
          const: meteor
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: MeteorScorerConfigWithItemLocator
    CosineSimilarityScorerConfigWithItemLocator:
      properties:
        type:
          type: string
          const: cosine_similarity
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: CosineSimilarityScorerConfigWithItemLocator
    F1ScorerConfigWithItemLocator:
      properties:
        type:
          type: string
          const: f1
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: F1ScorerConfigWithItemLocator
    RougeScorer1ConfigWithItemLocator:
      properties:
        type:
          type: string
          const: rouge1
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: RougeScorer1ConfigWithItemLocator
    RougeScorer2ConfigWithItemLocator:
      properties:
        type:
          type: string
          const: rouge2
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: RougeScorer2ConfigWithItemLocator
    RougeScorerLConfigWithItemLocator:
      properties:
        type:
          type: string
          const: rougeL
          title: Type
        candidate:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Candidate
        reference:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
          title: Reference
      type: object
      required:
        - type
        - candidate
        - reference
      title: RougeScorerLConfigWithItemLocator
    ItemLocatorTemplate:
      type: string
      title: ItemLocatorTemplate
    AutoEvaluationStructuredOutputTaskRequestWithItemLocator:
      properties:
        model:
          type: string
          title: Model
          description: model specified as `model_vendor/model_name`
        system_prompt:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
            - $ref: '#/components/schemas/ItemLocatorTemplate'
          title: System Prompt
        prompt:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
            - $ref: '#/components/schemas/ItemLocatorTemplate'
          title: Prompt
        response_format:
          additionalProperties: true
          type: object
          title: Response Format
          description: JSON schema used for structuring the model response
        inference_args:
          title: Inference Args
          description: Additional arguments to pass to the inference request
          additionalProperties: true
          type: object
        run_condition:
          title: Run Condition
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - model
        - prompt
        - response_format
      title: AutoEvaluationStructuredOutputTaskRequestWithItemLocator
    AutoEvaluationGuidedDecodingTaskRequestWithItemLocator:
      properties:
        model:
          type: string
          title: Model
          description: model specified as `model_vendor/model_name`
        system_prompt:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
            - $ref: '#/components/schemas/ItemLocatorTemplate'
          title: System Prompt
        prompt:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/ItemLocator'
            - $ref: '#/components/schemas/ItemLocatorTemplate'
          title: Prompt
        choices:
          items:
            type: string
          type: array
          minItems: 1
          title: Choices
          description: Choices array cannot be empty
        inference_args:
          title: Inference Args
          description: Additional arguments to pass to the inference request
          additionalProperties: true
          type: object
        run_condition:
          title: Run Condition
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - model
        - prompt
        - choices
      title: AutoEvaluationGuidedDecodingTaskRequestWithItemLocator
    APEAgent:
      properties:
        agent_name:
          type: string
          const: APEAgent
          title: Agent Name
          default: APEAgent
        config:
          $ref: '#/components/schemas/APEAgentConfig'
      type: object
      required:
        - config
      title: APEAgent
    IFAgent:
      properties:
        agent_name:
          type: string
          const: IFAgent
          title: Agent Name
          default: IFAgent
        config:
          $ref: '#/components/schemas/IFAgentConfig'
      type: object
      required:
        - config
      title: IFAgent
    TruthfulnessAgent:
      properties:
        agent_name:
          type: string
          const: TruthfulnessAgent
          title: Agent Name
          default: TruthfulnessAgent
        config:
          $ref: '#/components/schemas/TruthfulnessAgentConfig'
      type: object
      required:
        - config
      title: TruthfulnessAgent
    BaseAgent:
      properties:
        agent_name:
          type: string
          const: BaseAgent
          title: Agent Name
          default: BaseAgent
        config:
          $ref: '#/components/schemas/BaseAgentConfig'
      type: object
      required:
        - config
      title: BaseAgent
    Container:
      properties:
        direction:
          type: string
          enum:
            - row
            - column
          title: Direction
          description: >-
            The axis that children are placed in the container. Based on CSS
            `flex-direction` (see:
            https://developer.mozilla.org/en-US/docs/Web/CSS/flex-direction)
          default: row
        children:
          items:
            anyOf:
              - $ref: '#/components/schemas/Container'
              - $ref: '#/components/schemas/Component'
          type: array
          minItems: 1
          title: Children
          description: The children to be displayed within the container
      type: object
      required:
        - children
      title: Container
    CustomFunctionOutputAlias:
      properties:
        path:
          type: string
          minLength: 1
          title: Path
          description: Dot path in the custom function return value to materialize.
        alias:
          title: Alias
          description: >-
            Result column alias. Defaults to path with dots replaced by
            underscores.
          type: string
          minLength: 1
      type: object
      required:
        - path
      title: CustomFunctionOutputAlias
    MachineState:
      properties:
        current_node:
          type: string
          title: Current Node
        state:
          additionalProperties: true
          type: object
          title: State
      type: object
      required:
        - current_node
        - state
      title: MachineState
    LegacySpan:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
        node_id:
          type: string
          title: Node Id
        operation_type:
          type: string
          title: Operation Type
        start_timestamp:
          type: string
          title: Start Timestamp
        operation_input:
          type: string
          title: Operation Input
        operation_output:
          type: string
          title: Operation Output
        operation_metadata:
          title: Operation Metadata
          additionalProperties: true
          type: object
        duration_ms:
          type: integer
          title: Duration Ms
      type: object
      required:
        - workflow_id
        - node_id
        - operation_type
        - start_timestamp
        - operation_input
        - operation_output
        - duration_ms
      title: LegacySpan
    ConstEvaluationRunCondition:
      properties:
        op:
          type: string
          const: const
          title: Op
          default: const
        value:
          anyOf:
            - type: string
            - type: number
            - type: boolean
          title: Value
      type: object
      title: ConstEvaluationRunCondition
    VarEvaluationRunCondition:
      properties:
        op:
          type: string
          const: var
          title: Op
          default: var
        path:
          type: string
          title: Path
      type: object
      required:
        - path
      title: VarEvaluationRunCondition
    EqEvaluationRunCondition:
      properties:
        op:
          type: string
          const: eq
          title: Op
          default: eq
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        right:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Right
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - left
        - right
      title: EqEvaluationRunCondition
    NeEvaluationRunCondition:
      properties:
        op:
          type: string
          const: ne
          title: Op
          default: ne
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        right:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Right
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - left
        - right
      title: NeEvaluationRunCondition
    LtEvaluationRunCondition:
      properties:
        op:
          type: string
          const: lt
          title: Op
          default: lt
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        right:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Right
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - left
        - right
      title: LtEvaluationRunCondition
    LteEvaluationRunCondition:
      properties:
        op:
          type: string
          const: lte
          title: Op
          default: lte
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        right:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Right
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - left
        - right
      title: LteEvaluationRunCondition
    GtEvaluationRunCondition:
      properties:
        op:
          type: string
          const: gt
          title: Op
          default: gt
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        right:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Right
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - left
        - right
      title: GtEvaluationRunCondition
    GteEvaluationRunCondition:
      properties:
        op:
          type: string
          const: gte
          title: Op
          default: gte
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        right:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Right
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
      type: object
      required:
        - left
        - right
      title: GteEvaluationRunCondition
    AndEvaluationRunCondition:
      properties:
        op:
          type: string
          const: and
          title: Op
          default: and
        operands:
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstEvaluationRunCondition'
              - $ref: '#/components/schemas/VarEvaluationRunCondition'
              - $ref: '#/components/schemas/EqEvaluationRunCondition'
              - $ref: '#/components/schemas/NeEvaluationRunCondition'
              - $ref: '#/components/schemas/LtEvaluationRunCondition'
              - $ref: '#/components/schemas/LteEvaluationRunCondition'
              - $ref: '#/components/schemas/GtEvaluationRunCondition'
              - $ref: '#/components/schemas/GteEvaluationRunCondition'
              - $ref: '#/components/schemas/AndEvaluationRunCondition'
              - $ref: '#/components/schemas/OrEvaluationRunCondition'
              - $ref: '#/components/schemas/InEvaluationRunCondition'
              - $ref: '#/components/schemas/NotInEvaluationRunCondition'
              - $ref: '#/components/schemas/NotEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
            discriminator:
              propertyName: op
              mapping:
                and:
                  $ref: '#/components/schemas/AndEvaluationRunCondition'
                const:
                  $ref: '#/components/schemas/ConstEvaluationRunCondition'
                eq:
                  $ref: '#/components/schemas/EqEvaluationRunCondition'
                gt:
                  $ref: '#/components/schemas/GtEvaluationRunCondition'
                gte:
                  $ref: '#/components/schemas/GteEvaluationRunCondition'
                in:
                  $ref: '#/components/schemas/InEvaluationRunCondition'
                is_not_null:
                  $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
                is_null:
                  $ref: '#/components/schemas/IsNullEvaluationRunCondition'
                lt:
                  $ref: '#/components/schemas/LtEvaluationRunCondition'
                lte:
                  $ref: '#/components/schemas/LteEvaluationRunCondition'
                ne:
                  $ref: '#/components/schemas/NeEvaluationRunCondition'
                not:
                  $ref: '#/components/schemas/NotEvaluationRunCondition'
                not_in:
                  $ref: '#/components/schemas/NotInEvaluationRunCondition'
                or:
                  $ref: '#/components/schemas/OrEvaluationRunCondition'
                var:
                  $ref: '#/components/schemas/VarEvaluationRunCondition'
          type: array
          title: Operands
      type: object
      required:
        - operands
      title: AndEvaluationRunCondition
    OrEvaluationRunCondition:
      properties:
        op:
          type: string
          const: or
          title: Op
          default: or
        operands:
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstEvaluationRunCondition'
              - $ref: '#/components/schemas/VarEvaluationRunCondition'
              - $ref: '#/components/schemas/EqEvaluationRunCondition'
              - $ref: '#/components/schemas/NeEvaluationRunCondition'
              - $ref: '#/components/schemas/LtEvaluationRunCondition'
              - $ref: '#/components/schemas/LteEvaluationRunCondition'
              - $ref: '#/components/schemas/GtEvaluationRunCondition'
              - $ref: '#/components/schemas/GteEvaluationRunCondition'
              - $ref: '#/components/schemas/AndEvaluationRunCondition'
              - $ref: '#/components/schemas/OrEvaluationRunCondition'
              - $ref: '#/components/schemas/InEvaluationRunCondition'
              - $ref: '#/components/schemas/NotInEvaluationRunCondition'
              - $ref: '#/components/schemas/NotEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
            discriminator:
              propertyName: op
              mapping:
                and:
                  $ref: '#/components/schemas/AndEvaluationRunCondition'
                const:
                  $ref: '#/components/schemas/ConstEvaluationRunCondition'
                eq:
                  $ref: '#/components/schemas/EqEvaluationRunCondition'
                gt:
                  $ref: '#/components/schemas/GtEvaluationRunCondition'
                gte:
                  $ref: '#/components/schemas/GteEvaluationRunCondition'
                in:
                  $ref: '#/components/schemas/InEvaluationRunCondition'
                is_not_null:
                  $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
                is_null:
                  $ref: '#/components/schemas/IsNullEvaluationRunCondition'
                lt:
                  $ref: '#/components/schemas/LtEvaluationRunCondition'
                lte:
                  $ref: '#/components/schemas/LteEvaluationRunCondition'
                ne:
                  $ref: '#/components/schemas/NeEvaluationRunCondition'
                not:
                  $ref: '#/components/schemas/NotEvaluationRunCondition'
                not_in:
                  $ref: '#/components/schemas/NotInEvaluationRunCondition'
                or:
                  $ref: '#/components/schemas/OrEvaluationRunCondition'
                var:
                  $ref: '#/components/schemas/VarEvaluationRunCondition'
          type: array
          title: Operands
      type: object
      required:
        - operands
      title: OrEvaluationRunCondition
    InEvaluationRunCondition:
      properties:
        op:
          type: string
          const: in
          title: Op
          default: in
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        operands:
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstEvaluationRunCondition'
              - $ref: '#/components/schemas/VarEvaluationRunCondition'
              - $ref: '#/components/schemas/EqEvaluationRunCondition'
              - $ref: '#/components/schemas/NeEvaluationRunCondition'
              - $ref: '#/components/schemas/LtEvaluationRunCondition'
              - $ref: '#/components/schemas/LteEvaluationRunCondition'
              - $ref: '#/components/schemas/GtEvaluationRunCondition'
              - $ref: '#/components/schemas/GteEvaluationRunCondition'
              - $ref: '#/components/schemas/AndEvaluationRunCondition'
              - $ref: '#/components/schemas/OrEvaluationRunCondition'
              - $ref: '#/components/schemas/InEvaluationRunCondition'
              - $ref: '#/components/schemas/NotInEvaluationRunCondition'
              - $ref: '#/components/schemas/NotEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
            discriminator:
              propertyName: op
              mapping:
                and:
                  $ref: '#/components/schemas/AndEvaluationRunCondition'
                const:
                  $ref: '#/components/schemas/ConstEvaluationRunCondition'
                eq:
                  $ref: '#/components/schemas/EqEvaluationRunCondition'
                gt:
                  $ref: '#/components/schemas/GtEvaluationRunCondition'
                gte:
                  $ref: '#/components/schemas/GteEvaluationRunCondition'
                in:
                  $ref: '#/components/schemas/InEvaluationRunCondition'
                is_not_null:
                  $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
                is_null:
                  $ref: '#/components/schemas/IsNullEvaluationRunCondition'
                lt:
                  $ref: '#/components/schemas/LtEvaluationRunCondition'
                lte:
                  $ref: '#/components/schemas/LteEvaluationRunCondition'
                ne:
                  $ref: '#/components/schemas/NeEvaluationRunCondition'
                not:
                  $ref: '#/components/schemas/NotEvaluationRunCondition'
                not_in:
                  $ref: '#/components/schemas/NotInEvaluationRunCondition'
                or:
                  $ref: '#/components/schemas/OrEvaluationRunCondition'
                var:
                  $ref: '#/components/schemas/VarEvaluationRunCondition'
          type: array
          title: Operands
      type: object
      required:
        - left
        - operands
      title: InEvaluationRunCondition
    NotInEvaluationRunCondition:
      properties:
        op:
          type: string
          const: not_in
          title: Op
          default: not_in
        left:
          oneOf:
            - $ref: '#/components/schemas/ConstEvaluationRunCondition'
            - $ref: '#/components/schemas/VarEvaluationRunCondition'
            - $ref: '#/components/schemas/EqEvaluationRunCondition'
            - $ref: '#/components/schemas/NeEvaluationRunCondition'
            - $ref: '#/components/schemas/LtEvaluationRunCondition'
            - $ref: '#/components/schemas/LteEvaluationRunCondition'
            - $ref: '#/components/schemas/GtEvaluationRunCondition'
            - $ref: '#/components/schemas/GteEvaluationRunCondition'
            - $ref: '#/components/schemas/AndEvaluationRunCondition'
            - $ref: '#/components/schemas/OrEvaluationRunCondition'
            - $ref: '#/components/schemas/InEvaluationRunCondition'
            - $ref: '#/components/schemas/NotInEvaluationRunCondition'
            - $ref: '#/components/schemas/NotEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
            - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
          title: Left
          discriminator:
            propertyName: op
            mapping:
              and:
                $ref: '#/components/schemas/AndEvaluationRunCondition'
              const:
                $ref: '#/components/schemas/ConstEvaluationRunCondition'
              eq:
                $ref: '#/components/schemas/EqEvaluationRunCondition'
              gt:
                $ref: '#/components/schemas/GtEvaluationRunCondition'
              gte:
                $ref: '#/components/schemas/GteEvaluationRunCondition'
              in:
                $ref: '#/components/schemas/InEvaluationRunCondition'
              is_not_null:
                $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
              is_null:
                $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              lt:
                $ref: '#/components/schemas/LtEvaluationRunCondition'
              lte:
                $ref: '#/components/schemas/LteEvaluationRunCondition'
              ne:
                $ref: '#/components/schemas/NeEvaluationRunCondition'
              not:
                $ref: '#/components/schemas/NotEvaluationRunCondition'
              not_in:
                $ref: '#/components/schemas/NotInEvaluationRunCondition'
              or:
                $ref: '#/components/schemas/OrEvaluationRunCondition'
              var:
                $ref: '#/components/schemas/VarEvaluationRunCondition'
        operands:
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstEvaluationRunCondition'
              - $ref: '#/components/schemas/VarEvaluationRunCondition'
              - $ref: '#/components/schemas/EqEvaluationRunCondition'
              - $ref: '#/components/schemas/NeEvaluationRunCondition'
              - $ref: '#/components/schemas/LtEvaluationRunCondition'
              - $ref: '#/components/schemas/LteEvaluationRunCondition'
              - $ref: '#/components/schemas/GtEvaluationRunCondition'
              - $ref: '#/components/schemas/GteEvaluationRunCondition'
              - $ref: '#/components/schemas/AndEvaluationRunCondition'
              - $ref: '#/components/schemas/OrEvaluationRunCondition'
              - $ref: '#/components/schemas/InEvaluationRunCondition'
              - $ref: '#/components/schemas/NotInEvaluationRunCondition'
              - $ref: '#/components/schemas/NotEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
            discriminator:
              propertyName: op
              mapping:
                and:
                  $ref: '#/components/schemas/AndEvaluationRunCondition'
                const:
                  $ref: '#/components/schemas/ConstEvaluationRunCondition'
                eq:
                  $ref: '#/components/schemas/EqEvaluationRunCondition'
                gt:
                  $ref: '#/components/schemas/GtEvaluationRunCondition'
                gte:
                  $ref: '#/components/schemas/GteEvaluationRunCondition'
                in:
                  $ref: '#/components/schemas/InEvaluationRunCondition'
                is_not_null:
                  $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
                is_null:
                  $ref: '#/components/schemas/IsNullEvaluationRunCondition'
                lt:
                  $ref: '#/components/schemas/LtEvaluationRunCondition'
                lte:
                  $ref: '#/components/schemas/LteEvaluationRunCondition'
                ne:
                  $ref: '#/components/schemas/NeEvaluationRunCondition'
                not:
                  $ref: '#/components/schemas/NotEvaluationRunCondition'
                not_in:
                  $ref: '#/components/schemas/NotInEvaluationRunCondition'
                or:
                  $ref: '#/components/schemas/OrEvaluationRunCondition'
                var:
                  $ref: '#/components/schemas/VarEvaluationRunCondition'
          type: array
          title: Operands
      type: object
      required:
        - left
        - operands
      title: NotInEvaluationRunCondition
    NotEvaluationRunCondition:
      properties:
        op:
          type: string
          const: not
          title: Op
          default: not
        operands:
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstEvaluationRunCondition'
              - $ref: '#/components/schemas/VarEvaluationRunCondition'
              - $ref: '#/components/schemas/EqEvaluationRunCondition'
              - $ref: '#/components/schemas/NeEvaluationRunCondition'
              - $ref: '#/components/schemas/LtEvaluationRunCondition'
              - $ref: '#/components/schemas/LteEvaluationRunCondition'
              - $ref: '#/components/schemas/GtEvaluationRunCondition'
              - $ref: '#/components/schemas/GteEvaluationRunCondition'
              - $ref: '#/components/schemas/AndEvaluationRunCondition'
              - $ref: '#/components/schemas/OrEvaluationRunCondition'
              - $ref: '#/components/schemas/InEvaluationRunCondition'
              - $ref: '#/components/schemas/NotInEvaluationRunCondition'
              - $ref: '#/components/schemas/NotEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNullEvaluationRunCondition'
              - $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
            discriminator:
              propertyName: op
              mapping:
                and:
                  $ref: '#/components/schemas/AndEvaluationRunCondition'
                const:
                  $ref: '#/components/schemas/ConstEvaluationRunCondition'
                eq:
                  $ref: '#/components/schemas/EqEvaluationRunCondition'
                gt:
                  $ref: '#/components/schemas/GtEvaluationRunCondition'
                gte:
                  $ref: '#/components/schemas/GteEvaluationRunCondition'
                in:
                  $ref: '#/components/schemas/InEvaluationRunCondition'
                is_not_null:
                  $ref: '#/components/schemas/IsNotNullEvaluationRunCondition'
                is_null:
                  $ref: '#/components/schemas/IsNullEvaluationRunCondition'
                lt:
                  $ref: '#/components/schemas/LtEvaluationRunCondition'
                lte:
                  $ref: '#/components/schemas/LteEvaluationRunCondition'
                ne:
                  $ref: '#/components/schemas/NeEvaluationRunCondition'
                not:
[...]
